%--------------------------------------------------------------------%
%	    Alison Chaiken, sole author and maintainer     			     %
%        ------------------------------------------------------      %
%	    GUI-based Matlab and FEMLAB data analysis, instrument	     %
%	    control, statistical analysis, finite-element modelling,     %
%	    image acquisition and analysis          				     %
%       -------------------------------------------------------      %
%	    alchaiken@gmail.com			                    		     %
%	    http://www.exerciseforthereader.org/         			     %
%	    (001)650-279-5600					                         %
%--------------------------------------------------------------------%

function [ exists ] = CheckForExistingFile( OutFileName )
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

exists = 0;
dir_struct = dir(pwd);
[sorted_names,sorted_index] = sortrows({dir_struct.name}');

numfiles=max(sorted_index);
matches=strfind(sorted_names, OutFileName);
for i=1:numfiles
    if ~isempty(matches{i})
        exists = 1;
    end
end
